
module "data" {
  source = "./1-data"
}

data "nomad_plugin" "smb" {
  plugin_id        = "smb"
  wait_for_healthy = true
}

provider "postgresql" {
  host            = "jaglan-beta-m21.lan"
  port            = 5432
  database        = "postgres"
  username        = "postgres"
  password        = data.sops_file.secrets.data["postgres.postgres"]
  sslmode         = "disable"
  connect_timeout = 15
}
